Bug 22886 - Missing space between fields from Keyword to MARC mapping in cataloguing search
Summary: Missing space between fields from Keyword to MARC mapping in cataloguing search
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-10 12:26 UTC by Katrin Fischer
Modified: 2019-05-30 07:27 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.06


Attachments
Bug 22886: Missing space between fields from Keyword to MARC mapping in cataloguing search (1.73 KB, patch)
2019-05-11 22:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22886: Missing space between fields from Keyword to MARC mapping in cataloguing search (1.83 KB, patch)
2019-05-13 07:04 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-05-10 12:26:09 UTC
If you've added multiple subfields to the "subtitle" Keyword to MARC mapping they display without a space between them in the cataloguing search.
Comment 1 Katrin Fischer 2019-05-11 22:37:42 UTC
Created attachment 89623 [details] [review]
Bug 22886: Missing space between fields from Keyword to MARC mapping in cataloguing search

If you have multiple subfields mapped to the 'subtitle' keyword,
those fields will show up without separating space.

To test:
- Add 3 subtitle entries in Keyword to MARC mapping for a framework
  - 245 b
  - 245 c
  - 245 h
- Edit a record, make sure the framework matches, add:
  - 245 b, c, h
- Search for it in cataloguing search (not catalog!)
- Verify the subtitle fields show, but are all concatenated
- Apply patch
- Search again and verify the display is improved with a separating
  space
Comment 2 Marcel de Rooy 2019-05-13 07:04:32 UTC
Created attachment 89648 [details] [review]
Bug 22886: Missing space between fields from Keyword to MARC mapping in cataloguing search

If you have multiple subfields mapped to the 'subtitle' keyword,
those fields will show up without separating space.

To test:
- Add 3 subtitle entries in Keyword to MARC mapping for a framework
  - 245 b
  - 245 c
  - 245 h
- Edit a record, make sure the framework matches, add:
  - 245 b, c, h
- Search for it in cataloguing search (not catalog!)
- Verify the subtitle fields show, but are all concatenated
- Apply patch
- Search again and verify the display is improved with a separating
  space

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 3 Marcel de Rooy 2019-05-13 07:05:01 UTC
Just a space: combining SO and QA
Comment 4 Katrin Fischer 2019-05-13 07:14:04 UTC
(In reply to Marcel de Rooy from comment #3)
> Just a space: combining SO and QA

Thx Marcel :) Sure the test plan is longer than the patch here :)
Comment 5 Nick Clemens 2019-05-15 12:18:00 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-05-30 07:27:11 UTC
Pushed to 18.11.x for 18.11.06